User interface add-on for SAP NetWeaver is a product that can be used to rapidly provide new user interaction and technology (such as SAPUI5 and SAP Fiori launchpad) without disrupting the underlying business applications. It is only available for SAP NetWeaver releases 7.31 and lower. In SAP NetWeaver 7.4, the components of UI add-on have been integrated into SAP NetWeaver as software component SAP_UI 740.

UI add-on 1.0 and SAP_UI 740 in SAP NetWeaver will reach the end of mainstream maintenance at the end of 2017. After mainstream maintenance has ended, SAP will provide customer-specific maintenance.

If you still use UI add-on 1.0 or SAP_UI 740, please be aware of the upcoming end of mainstream maintenance. We recommend you to upgrade your system to the most recent versions. In addition to this, we do not recommend to start new implementations with UI add-on 1.0 or SAP_UI 740.

Here is an overview of the upgrade options:

NW AS ABAP 7.31

with UI add-on 1.0

 

Not recommended:

·        Upgrade to UI add-on 2.0 (no successor planned)

·        Upgrade to Fiori Front-End Server 2.0 based on NW AS ABAP 7.31

(no successor planned)

Recommended:

·        Upgrade to Fiori Front-End Server 2.0 or higher based on NW AS ABAP

7.5 or higher.

·        Upgrade to SAP_UI 750 or higher (with at least NW 7.4)

NW AS ABAP 7.4

with SAP_UI 740

·        AS ABAP 7.40 without product version SAP Fiori Front-End Server:

use SAP_UI 750 or higher instead of SAP_UI 740.

·        Upgrade to FES 2.0 or higher based on AS ABAP 7.40 or higher

Here you will find additional information about:

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply